VERSION 5.00
Begin VB.Form frmSetup 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Welcome To QuadRill!"
   ClientHeight    =   4410
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6450
   Icon            =   "frmSetup.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4410
   ScaleWidth      =   6450
   StartUpPosition =   3  'Windows Default
   Tag             =   "Z3RC4N35M"
   Begin VB.CommandButton Command3 
      Caption         =   "Load Filename"
      Height          =   495
      Left            =   120
      TabIndex        =   10
      ToolTipText     =   "When you specify a file, the game will save to this file when you find an SFlag."
      Top             =   2160
      Width           =   3015
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Enter Code"
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Tag             =   "5"
      ToolTipText     =   "Enter the code that you find at the end."
      Top             =   3960
      Width           =   1695
   End
   Begin VB.CheckBox Check1 
      Caption         =   "Music Enabled"
      Height          =   255
      Left            =   120
      TabIndex        =   2
      ToolTipText     =   "Turns music on or off."
      Top             =   1680
      Value           =   1  'Checked
      Width           =   1575
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Start"
      Default         =   -1  'True
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   18
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   615
      Left            =   3840
      TabIndex        =   1
      ToolTipText     =   "If you're ready to begin the game, then click here."
      Top             =   1680
      Width           =   2415
   End
   Begin VB.Label Label7 
      Alignment       =   2  'Center
      Caption         =   "Special thanks to www.visualbasicforum.com for Tests and Development"
      Height          =   255
      Left            =   240
      TabIndex        =   9
      Top             =   6600
      Width           =   5895
   End
   Begin VB.Label Label6 
      Alignment       =   2  'Center
      Caption         =   "This program was created using Microsoft Visual Basic 6.0 (LE)"
      Height          =   255
      Left            =   720
      TabIndex        =   8
      Top             =   6240
      Width           =   4935
   End
   Begin VB.Label Label5 
      Alignment       =   2  'Center
      Caption         =   "Artwork and Level Design by Iceplug"
      Height          =   255
      Left            =   720
      TabIndex        =   7
      Top             =   5880
      Width           =   4935
   End
   Begin VB.Label Label4 
      Alignment       =   2  'Center
      Caption         =   "Background Music by Iceplug"
      Height          =   255
      Left            =   720
      TabIndex        =   6
      Top             =   5640
      Width           =   4935
   End
   Begin VB.Label Label3 
      Alignment       =   2  'Center
      Caption         =   "Produced, Edited, and Directed by Iceplug"
      Height          =   255
      Left            =   720
      TabIndex        =   5
      Top             =   5400
      Width           =   4935
   End
   Begin VB.Label Label2 
      Caption         =   "Thank you for playing my game!  You are Amazing!  Stay tuned for QuadRill 4!!!"
      Height          =   615
      Left            =   120
      TabIndex        =   4
      Top             =   4680
      Width           =   6135
   End
   Begin VB.Image Image1 
      Height          =   600
      Left            =   1680
      Picture         =   "frmSetup.frx":08CA
      Top             =   120
      Width           =   2700
   End
   Begin VB.Label Label1 
      Caption         =   $"frmSetup.frx":0F48
      Height          =   855
      Left            =   120
      TabIndex        =   0
      Top             =   720
      Width           =   6135
   End
End
Attribute VB_Name = "frmSetup"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Command1_Click()
If Len(DestFile) = 0 Then
    If MsgBox("You have not specified a file.  If you do not specify a file, you cannot resume this session upon exiting.  Are you sure that you want to do this?", vbYesNo + vbQuestion, "No filename specified.") = vbYes Then
        SoundOff = Not CBool(Check1.Value)
        Unload Me
        Load frmDDraw
    Else
        Command3.SetFocus
    End If
Else
SoundOff = Not CBool(Check1.Value)
Unload Me
Load frmDDraw
End If
End Sub

Private Sub Command2_Click()
Dim PassCode As String
Command2.Tag = Command2.Tag - 1
If Command2.Tag = "0" Then Command2.Enabled = False
PassCode = UCase$(InputBox$("Enter your pass code.", "PassCode"))
If PassCode = "HEAVILY DOSED" Then
    MsgBox "Access Granted.", vbOKOnly + vbExclamation, "PassCode"
    Me.Height = 7400
    Label2.Caption = "Thank you for playing my game!  You are Amazing!  Stay tuned for QuadRill 4!!!"
ElseIf PassCode = "HEAVILY MEDICATED" Then
    MsgBox "Access Granted.", vbOKOnly + vbExclamation, "PassCode"
    Me.Height = 5800
    Label2.Caption = "Yes, you have finished the game, but you mustn't have found the secret seasons flags... otherwise you would have a different code."
Else
    MsgBox "Access Denied.", vbOKOnly + vbCritical, "PassCode"
End If
End Sub

Private Sub Command3_Click()
Dim FN As String
FN = InputBox("Enter the name of the filename (without extension or path)", "Load Game")
If Len(FN) > 0 And Len(Dir$(App.Path & "\" & FN & ".qls")) > 0 Then
    Command3.Caption = FN
    MsgBox "File accepted.", vbInformation, "Load Game"
    DestFile = FN
ElseIf Len(FN) > 0 Then
    MsgBox "File to be created", vbInformation, "Load Game"
    FN = "*" & FN
    DestFile = FN
    Command3.Caption = FN
Else
    MsgBox "File not loaded.", vbInformation, "Load Game"
    DestFile = ""
    Command3.Caption = "Load Filename"
End If
End Sub
